> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zga/resource-group/describeresourcegroupsbandwidthlimit.md).

# DescribeResourceGroupsBandwidthLimit

## 1. API Description

This API (DescribeResourceGroupsBandwidthLimit) is used to query the shared Bandwidth Limit of Accelerators in a Resource Group.

## 2. Input Parameters

The following request parameter list only provides API Input Parameters.

| Parameter Name   | Required | Type            | Description        |
| ---------------- | -------- | --------------- | ------------------ |
| resourceGroupIds | Optional | Array of String | Resource Group ID. |

## 3. Output Parameters

| Parameter Name | Type                                                                                                            | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| resourceGroups | Array of [ResourceGroupBandwidthLimitInfo](/api-reference/zga/datastructure.md#resourcegroupbandwidthlimitinfo) | Result set.                                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the list of shared Bandwidth Limit for all Resource Group Accelerators**

```json
POST /api/v2/zga HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeResourceGroupsBandwidthLimit
<Common Request Params>

Request:
{}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "resourceGroups": [
            {
                "resourceGroupId": "233676f3-d984-49d2-8b29-0f4065fbc79c",
                "bandwidth": 10,
                "enable": true
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).
